- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 0c79304a-1d06-4e53-a910-4829e019977e
    creation_time: 2023-02-17T12:12:36.639963Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006_variant.c
      input_file_hashes:
        c/loop-lit/jm2006_variant.c: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006_variant.c
    file_hash: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
    line: 17
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: y+i-j == x-z
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7141eb0f-80f4-4ac5-b251-ab444b846781
    creation_time: 2023-02-17T12:12:36.640243Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006_variant.c
      input_file_hashes:
        c/loop-lit/jm2006_variant.c: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006_variant.c
    file_hash: 9ff7313d43752ca03a5d33e155484c2e78101749d02f41d2d60b05ff36bbfa83
    line: 23
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: y == -z
    type: assertion
    format: C

